geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Struberg <strub...@yahoo.de>
Subject Re: geronimo.genesis
Date Fri, 01 Feb 2013 04:20:51 GMT
Txs David!

I've now just updated all the poms stuff in genesis to latest versions.

Which also means that min mvn-3.x and java5 is required. But of course, target could still
be java4. But who is using this anyway?

LieGrue,
strub




----- Original Message -----
> From: David Blevins <david.blevins@gmail.com>
> To: dev@geronimo.apache.org; Mark Struberg <struberg@yahoo.de>
> Cc: 
> Sent: Friday, February 1, 2013 12:54 AM
> Subject: Re: geronimo.genesis
> 
> 
> On Jan 31, 2013, at 7:57 AM, Mark Struberg <struberg@yahoo.de> wrote:
> 
>>  Hi folks!
>> 
>>  I'm currently trying to fix a xbean compilation error on java7 
> platforms.
>> 
>>  Thus I stumbled over a very deep <parent> chain in our poms. There 
> are 4 layers of geronimo.genesis.... parent poms. And the top of them still 
> point to an apache-parent in the ancient version 6...
>> 
>>  Is this something to clean up?
>>  And if so: who is cleaning this up? :)
> 
> If you're looking for volunteers I suspect you won't find any :)  If you 
> are the volunteer, than I say go for it!
> 
> Certainly for something as tiny as xbean we don't need the complicated and 
> outdated parent poms.
> 
> 
> -David
> 

Mime
View raw message